Main Menu

mod_vlc

Started by josebita, March 17, 2010, 05:58:15 PM

« previous - next »

0 Members and 1 Guest are viewing this topic.

josebita

#30
I've updated the library to support the latest VLC >= 1.1.1 and to offer native support for 32bpp.
Changes:

* Code adapted to the new VLC >= 1.1.1 API.
* Now the graph created by video_play() uses the system color depth, so if you're at 16bpp you'll get a 16bpp video and if you're @ 32bpp, you'll get a 32bpp one. Up until now you'd get a 16bpp one. Please note that 8bpp is not (and won't probably ever be) supported.
* The crash that sometimes occurred while quitting BennuGD seems to be gone.

Here are the pre-compiled binaries:
* Win32.
* Linux.

Again, please note that these only work on VLC 1.1.1 and over, I'll update the packs on the project site asap to use the new version of the library.

josebita

#31
The packs for windows in the project webpage have been updated and the new library has been uploaded to my PPA for those of you using Ubuntu Maverick.

Things seem to work fine for the windows packs, but as I've tested them through wine some things might be wrong. Please let me know if that's the case.

josebita

Just uploaded the MPEG4 pack for MacOS X based on VLC 1.1.3 (latest available version for Mac).

Windgate

It is fucking good, I see the sample prg need to be called with argv... Why not a .bat ready to launch or a .prg that just open an included video file?

Sorry, I like the EXTREME usability :D
Iván García Subero. Programador, profesor de informática, monitor de actividades culturales y presidente de TRINIT Asociación de Informáticos de Zaragoza. http://trinit.es

josebita

If you launch the example without any arguments, it should complain that it needs a video file to play.
I believe that's extreme usability (bgdi main Video.avi), anyway, I might upload a very simple example for those who don't want to read the 20 line source code.... :P